POST
/v1/organizations/:organizationId/employees/
Copy to clipboard
Add new employees
Required Permission: base.people.organizationEmployee.create
Add new employees
Request
Add parameter in header
authorization
Example:
Authorization: Bearer <token>
organizationId
string
required
Body Params
application/json
email
array [string]
required
tags
array [string]
optional
{
"email": [
"[email protected]"
],
"tags": [
"string"
]
}
Responses
200 Response
application/json
status
boolean
optional
data
array [object]
optional
id
string
optional
organization
string
optional
employee
object
optional
id
string
optional
email
string
optional
firstName
string
optional
lastName
string
optional
tags
array [string]
optional
type
string
optional
from
string
optional
detected
object
optional
createdBy
string
optional
updatedAt
string
optional
createdAt
string
optional
{
"status": true,
"data": [
{
"id": "string",
"organization": "string",
"employee": {
"id": "string",
"email": "[email protected]",
"firstName": "string",
"lastName": "string"
},
"tags": [
"string"
],
"type": "traditional",
"from": "store",
"detected": {},
"createdBy": "string",
"updatedAt": "2024-01-01T00: 00:00Z",
"createdAt": "2024-01-01T00: 00:00Z"
}
]
}
400 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 5017,
"message": "Limit Exceeded"
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}